{ ... }:

let
  device = "/dev/disk/by-id/ata-APPLE_SSD_SM0512G_S29ANYAH526520-part5";
  subvol = subvol-name: {
    inherit device;
    fsType = "btrfs";
    options = [ "subvol=${subvol-name}" ];
  };
in {
  fileSystems = {
    "/" = subvol "rootfs";
    "/persist" = subvol "persist" // { neededForBoot = true; };
    "/persist/home" = subvol "persist/home";
    "/nix" = subvol "nix";
    "/boot" = {
      device = "/dev/disk/by-id/ata-APPLE_SSD_SM0512G_S29ANYAH526520-part3";
    };
  };
}
